[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ResumeThread

Resume a suspended thread.

## Declaration

Source position: threadh.inc line 136

`function ResumeThread(`
`threadHandle: TThreadID`
`):DWord;`

## Description

ResumeThread causes a suspended thread (using SuspendThread) to resume it's execution. The thread is identified with it's handle or ID threadHandle.

The function returns zero if succesful. A nonzero return value indicates failure.

## Errors

If a failure occurred, a nonzero result is returned. The meaning is system dependent.

## See also

SuspendThread |  | Suspend a running thread.
KillThread |  | Kill a running thread

Documentation generated on: Feb 26 2014